# $Revision: 1.14 $, $Date: 2002/04/24 22:32:44 $
Summary:	Show network activity using keyboard leds
Summary(pl):	Pokazuje aktywno sieci uywajc diod na klawiaturze
Name:		tleds
Version:	1.05b
Release:	4
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.hut.fi/~jlohikos/public/%{name}-%{version}eta10.tgz
Patch0:		%{name}-activity.patch
URL:		http://www.iki.fi/Jouni.Lohikoski/tleds.html
BuildRequires:	XFree86-devel
ExclusiveArch:	%{ix86} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tleds is a program which blinks keyboard LEDs (Light Emitting Diode)
indicating outgoing and incoming network packets on selected network
interface.

%description -l pl
tleds jest programem ktry zmienia stan diod na klawiaturze, pokazujc
obecno wychodzcych oraz przychodzcych pakietw na wybranym
interfejsie sieciowym.

%package -n xtleds
Summary:	Show network activity using keyboard leds (XFree86 version)
Summary(pl):	Pokazuje aktywno sieci uywajc diod na klawiaturze (wersja dla XFree86)
Group:		X11/Applications
Requires:	%{name}
Requires:	XFree86-libs

%description -n xtleds
xtleds is a program which blinks keyboard LEDs (Light Emitting Diode)
indicating outgoing and incoming network packets on selected network
interface.

%description -n xtleds -l pl
xtleds jest programem ktry zmienia stan diod na klawiaturze,
pokazujc obecno wychodzcych oraz przychodzcych pakietw na
wybranym interfejsie sieciowym.

%prep
%setup  -q
%patch0 -p1

%build
%{__make} GCCOPTS="%{rpmcflags} %{rpmldflags} -DKERNEL2_1"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_prefix}/X11R6/bin} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/interfaces/{up,down}.d/ppp

install tleds $RPM_BUILD_ROOT%{_bindir}
install xtleds $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install tleds.1 $RPM_BUILD_ROOT%{_mandir}/man1

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/interfaces/up.d/ppp/tleds
#!/bin/sh
#this script will make your keyboard LEDs blink on (in|out)comming network packets
. /etc/rc.d/init.d/functions

if [ -f /var/lock/subsys/tleds ]; then
	msg_starting tleds
	daemon tleds -d 200 -c ppp0
	touch /var/lock/subsys/tleds
else
	msg_Already_Running tleds
fi
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/interfaces/down.d/ppp/tleds
#!/bin/sh
#this script will shut down tleds
. /etc/rc.d/init.d/functions

if [ -f /var/lock/subsys/tleds ]; then
	msg_stopping tleds
	killproc tleds
	rm -f /var/lock/subsys/tleds
else
	msg_Not_Running tleds
exit 1
fi
EOF

gzip -9nf README Changes

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tleds
%attr(755,root,root) %{_sysconfdir}/sysconfig/interfaces/down.d/ppp/tleds
%attr(755,root,root) %{_sysconfdir}/sysconfig/interfaces/up.d/ppp/tleds
%{_mandir}/man*/*
%doc *.gz

%files -n xtleds
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/X11R6/bin/xtleds

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tleds.spec,v $
Revision 1.14  2002/04/24 22:32:44  kloczek
- cosmetics.

Revision 1.13  2002/04/24 22:28:24  marcus
- addedd ppc arch, rel.4

Revision 1.12  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/06 09:12:44  kloczek
- cosmetics.

Revision 1.9  2001/11/26 15:52:34  blues
- release 3

Revision 1.8  2001/11/26 14:50:42  qboosh
- adapterized, s/BuildPrereq/BuildRequires/, cosmetics

Revision 1.7  2001/08/23 16:50:08  filon
- added scripts for (down|up).d/ppp

Revision 1.6  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/07/12 20:49:10  kloczek
- release 2,
- spec adapterized and some cosmetics.

Revision 1.4  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/31 06:54:43  zagrodzki
- adapterized
